net.sf.jasperreports.engine.base

## Class JRBaseSection

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseSection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRSection
  Direct Known Subclasses:
    JRDesignSection

      public class JRBaseSection
      extends java.lang.Object
      implements JRSection, JRChangeEventsSupport, java.io.Serializable

  Used for implementing section functionality. A report can contain the following sections: detail. For each group defined in the report, there is a corresponding group header section and group footer section. Report sections consist of one or more bands.
  Version:
    $Id: JRBaseSection.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRBaseBand`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRBand[]` | `bands`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseSection()`
    `protected` | `JRBaseSection(JRBand band)`
    `protected` | `JRBaseSection(JRSection section, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRBand[]` | `getBands()` Returns the bands within the current section.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bands

          protected JRBand[] bands

  - ### Constructor Detail

    - #### JRBaseSection

          protected JRBaseSection()

    - #### JRBaseSection

          protected JRBaseSection(JRBand band)

    - #### JRBaseSection

          protected JRBaseSection(JRSection section,
                       JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getBands

          public JRBand[] getBands()

      Description copied from interface: `JRSection`
      Returns the bands within the current section.
      Specified by:
        `getBands` in interface `JRSection`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com